import '../../stencil.core';
import '../../stencil.core';
export declare class EntityForm {
    dataCopy: any;
    definitions: any;
    translateService: any;
    data: any;
    dataJson: string;
    definitionsJson: string;
    language: string;
    constructor();
    translate(str: string): any;
    renderFormField(key: any): JSX.Element;
    render(): JSX.Element;
}
